# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

Name:		koffice
URL:		http://www.koffice.org/
Summary:	Set of office applications for KDE
Version:	1.2.1
Release:	1mdk
Epoch:		10

Source:		koffice-%{version}.tar.bz2

# Laurent 3.0.2-2mdk patch for ix64!
Patch14:     kde-lib64updates.patch.bz2

Patch1:		branch.patch.bz2
Patch2:		koffice-1.2-fix-kivio-draw-connector.patch.bz2


Group:		Office
License:	GPL
BuildRoot:	%_tmppath/%name-%version-kde3-%release-root
Obsoletes:	killustrator
Provides:	killustrator


%if %buildfor8_2
BuildRequires:  Mesa-common-devel XFree86-devel XFree86-libs XFree86-static-libs
BuildRequires:  arts autoconf automake db1-devel db3-devel diffutils file
BuildRequires:  freetype2-devel gawk gcc-c++ gcc-cpp gettext kdelibs-devel
BuildRequires:  libbinutils2-devel libbzip2_1-devel
BuildRequires:  libjpeg62-devel libmng1-devel libpng3-devel libqt3-devel
BuildRequires:  libtermcap2-devel m4 mktemp pam-devel popt-devel python-devel
BuildRequires:  readline-devel rpm-build texinfo zlib1-devel
BuildRequires:  fam-devel libxslt1-devel
BuildRequires:  kdelibs-devel >= 3.0
%endif

%if %buildfor9_0 || %buildfor9_1
BuildRequires:  Mesa-common-devel XFree86-devel XFree86-libs XFree86-static-libs
BuildRequires:  arts autoconf automake db1-devel db3-devel diffutils file
BuildRequires:  freetype2-devel gawk gcc-c++ gcc-cpp gettext kdelibs-devel
BuildRequires:  libbinutils2-devel libbzip2_1-devel
BuildRequires:  libjpeg62-devel libmng1-devel libpng3-devel libqt3-devel
BuildRequires:  libtermcap2-devel m4 mktemp pam-devel popt-devel python-devel
BuildRequires:  readline-devel rpm-build texinfo zlib1-devel
BuildRequires:  fam-devel libxslt1-devel
BuildRequires:  kdelibs-devel >= 3.0
%endif
BuildRequires:	libart_lgpl2-devel 
Requires:	kdegraphics, kdelibs >= 3.0.2

%if %buildfor9_0
BuildRequires: libxml2-devel
%endif

%if %buildfor9_1
BuildRequires: libxml2-devel >= 2.4.28-2mdk
%endif


%description
Office applications for the K Desktop Environment.

KOffice contains:
   * KWord: word processor
   * KSpread: spreadsheet
   * KPresenter: presentations
   * KChart: diagram generator
   * KOntour
   * Krayon
   * Kugar
   * Kivio
   * Some filters (Excel 97, Winword 97/2000, etc.)


%package devel
Group:		Development/KDE and Qt
Summary:	Header files for developing koffice applications
PreReq:		%name = %version-%release

%description devel
Header files needed for developing koffice applications.



%prep

%setup -q -nkoffice-%{version}
#%patch1 -p1
#%patch2 -p1

%build
# Laurent koffice 1.1.1-5mdk use cvs branch
#make -f Makefile.cvs
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure




        ./configure --prefix=%_prefix \
                    --libdir=%_libdir \
                    --mandir=%_mandir \
                    --build=%_target_platform \
            		--host=%_target_platform \
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		            --disable-embedded \
        		    --disable-palmtop \
                    --disable-rpath \
            		--with-gnu-ld \
            		--with-pic \
            		--with-xinerama

%make



%install
rm -fr %buildroot

# David - 1.1-0.beta2.4mdk - Don't use makeinstall macro or nothing will work
make RUN_KAPPFINDER=no DESTDIR=$RPM_BUILD_ROOT install

#laurent 1.1-7mdk add icon kformula
perl -pi -e 's|Icon=kformula|Icon=mathematics_section.png|' %buildroot/%_datadir/applnk/Office/kformula.desktop

# David - 1.1-0.beta2.1mdk - Create LMDK menu structure
install -d %buildroot/%_menudir/


kdedesktop2mdkmenu.pl koffice Office/Graphs %buildroot/%_datadir/applnk/Office/kchart.desktop %buildroot/%_menudir/koffice-kchart
kdedesktop2mdkmenu.pl koffice Office/Graphs %buildroot/%_datadir/applnk/Office/kivio.desktop %buildroot/%_menudir/koffice-kivio
kdedesktop2mdkmenu.pl koffice Office/Accessories %buildroot/%_datadir/applnk/Office/koshell.desktop %buildroot/%_menudir/koffice-koshell
kdedesktop2mdkmenu.pl koffice Office/Presentations %buildroot/%_datadir/applnk/Office/kpresenter.desktop %buildroot/%_menudir/koffice-kpresenter
kdedesktop2mdkmenu.pl koffice Office/Spreadsheets %buildroot/%_datadir/applnk/Office/kspread.desktop %buildroot/%_menudir/koffice-kspread
kdedesktop2mdkmenu.pl koffice "Applications/Text tools" %buildroot/%_datadir/applnk/Office/kugar.desktop %buildroot/%_menudir/koffice-kugar
kdedesktop2mdkmenu.pl koffice "Applications/Text tools" %buildroot/%_datadir/applnk/Office/kudesigner.desktop %buildroot/%_menudir/koffice-kugar-designer
kdedesktop2mdkmenu.pl koffice Office/Wordprocessors %buildroot/%_datadir/applnk/Office/kword.desktop %buildroot/%_menudir/koffice-kword
kdedesktop2mdkmenu.pl koffice Office/Wordprocessors %buildroot/%_datadir/applnk/Office/kformula.desktop %buildroot/%_menudir/koffice-kformula

kdedesktop2mdkmenu.pl koffice Office/Wordprocessors %buildroot/%_datadir/applnk/Office/karbon.desktop %buildroot/%_menudir/koffice-karbon

# Add an icon to Koshell
# Think to remove that when Koshell will have its own icon
perl -pi -e "s|koshell.png|kword.png|" %buildroot/%_menudir/koffice-koshell

rm -rf %buildroot/%_datadir/apps/kontour/
rm -rf %buildroot/%_libdir/kde3/libkontourpart*
#rm -rf %buildroot/%_libdir/kontour.*
rm -rf %buildroot/%_datadir/applnk/Office/kontour.desktop


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus


%clean
rm -fr %buildroot



%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#
#
%dir %_docdir/HTML/en/koffice/
%doc %_docdir/HTML/en/koffice/common
%doc %_docdir/HTML/en/koffice/README.documentation
%doc %_docdir/HTML/en/koffice/*.docbook
%doc %_docdir/HTML/en/koffice/*.bz2
#
#
%dir %_docdir/HTML/en/koshell/
%doc %_docdir/HTML/en/koshell/common
%doc %_docdir/HTML/en/koshell/*.bz2
%doc %_docdir/HTML/en/koshell/*.docbook
#
#
%dir %_docdir/HTML/en/kpresenter/
%doc %_docdir/HTML/en/kpresenter/*.bz2
%doc %_docdir/HTML/en/kpresenter/*.docbook
%doc %_docdir/HTML/en/kpresenter/*.png
#
#
%dir %_docdir/HTML/en/kspread/
%doc %_docdir/HTML/en/kspread/common
%doc %_docdir/HTML/en/kspread/*.bz2
%doc %_docdir/HTML/en/kspread/*.docbook
%doc %_docdir/HTML/en/kspread/*.png

#
%dir %_docdir/HTML/en/thesaurus/
%doc %_docdir/HTML/en/thesaurus/common
%doc %_docdir/HTML/en/thesaurus/*.bz2
%doc %_docdir/HTML/en/thesaurus/*.docbook
#
%dir %_docdir/HTML/en/kformula/
%doc %_docdir/HTML/en/kformula/common
%doc %_docdir/HTML/en/kformula/*.bz2
%doc %_docdir/HTML/en/kformula/*.docbook
%doc %_docdir/HTML/en/kformula/*.png

#
%dir %_docdir/HTML/en/kword/
%doc %_docdir/HTML/en/kword/common
%doc %_docdir/HTML/en/kword/*.bz2
%doc %_docdir/HTML/en/kword/*.docbook
%doc %_docdir/HTML/en/kword/*.png       
#
#
%dir %_docdir/HTML/en/kugar/
%doc %_docdir/HTML/en/kugar/common
%doc %_docdir/HTML/en/kugar/*.bz2
%doc %_docdir/HTML/en/kugar/*.docbook
%doc %_docdir/HTML/en/kugar/*.png
#
%dir %_docdir/HTML/en/kchart/
%doc %_docdir/HTML/en/kchart/*.html
%doc %_docdir/HTML/en/kchart/*.bz2
%doc %_docdir/HTML/en/kchart/*.png
%doc %_docdir/HTML/en/kchart/*.docbook
%doc %_docdir/HTML/en/kchart/common
%doc %_docdir/HTML/en/kchart/*.tar.gz

#
%_bindir/* 
#
#
#
%_libdir/libkstore.la
%_libdir/libkwmf.la
%_libdir/libkofficecore.la
%_libdir/libkofficeui.la
%_libdir/libkoscript.la
%_libdir/libkotext.la
%_libdir/libkopainter.la
%_libdir/libkformula.la
%_libdir/libkochart.la
%_libdir/karbon.la
%_libdir/libkdchart.la
%_libdir/kchart.la
%_libdir/kformulamain.la
%_libdir/kivio.la
%_libdir/koshell.la
%_libdir/kpresenter.la
%_libdir/kspread.la
%_libdir/libkugarpart.la
%_libdir/kword.la
%_libdir/kontour.la
%_libdir/libkwmailmerge_interface.la
%_libdir/libkwordexportfilters.la
%_libdir/libkugar.la
%_libdir/libkivioconnectortool.la
%_libdir/libkivioselecttool.la
%_libdir/libkiviotexttool.la
%_libdir/libkiviozoomtool.la



#
%_libdir/kontour.so*
%_libdir/libkofficecore.so*
%_libdir/libkofficeui.so*
%_libdir/libkoscript.so*
%_libdir/libkotext.so*
%_libdir/libkopainter.so*
%_libdir/libkformula.so*
%_libdir/libkochart.so*
%_libdir/karbon.so
%_libdir/libkdchart.so*
%_libdir/kchart.so
%_libdir/kformulamain.so
%_libdir/kivio.so
%_libdir/koshell.so
%_libdir/kpresenter.so
%_libdir/kspread.so
%_libdir/libkugarpart.so
%_libdir/kword.so
%_libdir/libkwmailmerge_interface.so*
%_libdir/libkwordexportfilters.so*
%_libdir/libkstore.so*
%_libdir/libkwmf.so*
%_libdir/libkugar.so*
#%_libdir/*.ksp
%_libdir/libkivioconnectortool.so*
%_libdir/libkivioselecttool.so*
%_libdir/libkiviotexttool.so*
%_libdir/libkiviozoomtool.so*

#
#
%dir %_libdir/kde3/
%_libdir/kde3/kodocinfopropspage.la
%_libdir/kde3/libkchartpart.la
%_libdir/kde3/libkformulapart.la
%_libdir/kde3/libkiviopart.la
%_libdir/kde3/libkounavailpart.la
%_libdir/kde3/libkpresenterpart.la
%_libdir/kde3/libkspreadpart.la
%_libdir/kde3/libkspreadcalc.la
%_libdir/kde3/libkwordpart.la
%_libdir/kde3/kwmailmerge_classic.la
%_libdir/kde3/kwmailmerge_qtsqldb.la
%_libdir/kde3/kwmailmerge_qtsqldb_power.la
%_libdir/kde3/kofficescan.la
%_libdir/kde3/libkspelltool.la
%_libdir/kde3/clipartthumbnail.la
%_libdir/kde3/kofficethumbnail.la
%_libdir/kde3/libthesaurustool.la
%_libdir/kde3/libapplixspreadimport.la
%_libdir/kde3/libcsvimport.la
%_libdir/kde3/libcsvexport.la
%_libdir/kde3/libdbaseimport.la
%_libdir/kde3/libgnumericexport.la
%_libdir/kde3/libgnumericimport.la
%_libdir/kde3/libkspreadhtmlexport.la
%_libdir/kde3/libqproimport.la
%_libdir/kde3/libabiwordimport.la
%_libdir/kde3/libabiwordexport.la
%_libdir/kde3/libamiproimport.la
%_libdir/kde3/libamiproexport.la
%_libdir/kde3/libapplixwordimport.la
%_libdir/kde3/libasciiimport.la
%_libdir/kde3/libasciiexport.la
%_libdir/kde3/libdocbookexport.la
%_libdir/kde3/libhtmlexport.la
%_libdir/kde3/libhtmlimport.la
%_libdir/kde3/liblatexexport.la
%_libdir/kde3/libmswriteimport.la
%_libdir/kde3/libpalmdocimport.la
%_libdir/kde3/libpalmdocexport.la
%_libdir/kde3/librtfexport.la
%_libdir/kde3/librtfimport.la
%_libdir/kde3/libwmlimport.la
%_libdir/kde3/libwmlexport.la
%_libdir/kde3/libwpimport.la
%_libdir/kde3/libwpexport.la
%_libdir/kde3/libkprkword.la
%_libdir/kde3/libolefilter.la
%_libdir/kde3/libmsodimport.la
%_libdir/kde3/libwmfimport.la
%_libdir/kde3/libapplixgraphicimport.la
%_libdir/kde3/libxsltexport.la
%_libdir/kde3/libxsltimport.la
%_libdir/kde3/libkfopngexport.la
%_libdir/kde3/libkfolatexexport.la
%_libdir/kde3/libkarbonepsexport.la
%_libdir/kde3/libkarbonepsimport.la
%_libdir/kde3/libkarbonaiimport.la
%_libdir/kde3/libkarbonsvgexport.la

%_libdir/kde3/kfile_koffice.la
%_libdir/kde3/libkarbonpngexport.la
%_libdir/kde3/libkontourrtfexport.la
%_libdir/kde3/liblateximport.la
%_libdir/kde3/liblatexparser.la
%_libdir/kde3/libtexgraphexport.la
%_libdir/kde3/libkarbonpart.la
%_libdir/kde3/libkarbonkontourimport.la

#
%_libdir/kde3/libkarbonkontourimport.so*
%_libdir/kde3/kodocinfopropspage.so*
%_libdir/kde3/libkchartpart.so*
%_libdir/kde3/libkformulapart.so*
%_libdir/kde3/libkiviopart.so*
%_libdir/kde3/libkounavailpart.so*
%_libdir/kde3/libkpresenterpart.so*
%_libdir/kde3/libkspreadpart.so*
%_libdir/kde3/libkspreadcalc.so*
%_libdir/kde3/libkwordpart.so*
%_libdir/kde3/kwmailmerge_classic.so*
%_libdir/kde3/kwmailmerge_qtsqldb.so*
%_libdir/kde3/kwmailmerge_qtsqldb_power.so*
%_libdir/kde3/kofficescan.so*
%_libdir/kde3/libkspelltool.so*
%_libdir/kde3/clipartthumbnail.so*
%_libdir/kde3/kofficethumbnail.so*
%_libdir/kde3/libthesaurustool.so*
%_libdir/kde3/libapplixspreadimport.so*
%_libdir/kde3/libcsvimport.so*
%_libdir/kde3/libcsvexport.so*
%_libdir/kde3/libdbaseimport.so*
%_libdir/kde3/libgnumericexport.so*
%_libdir/kde3/libgnumericimport.so*
%_libdir/kde3/libkspreadhtmlexport.so*
%_libdir/kde3/libqproimport.so*
%_libdir/kde3/libabiwordimport.so*
%_libdir/kde3/libabiwordexport.so*
%_libdir/kde3/libamiproimport.so*
%_libdir/kde3/libamiproexport.so*
%_libdir/kde3/libapplixwordimport.so*
%_libdir/kde3/libasciiimport.so*
%_libdir/kde3/libasciiexport.so*
%_libdir/kde3/libdocbookexport.so*
%_libdir/kde3/libhtmlexport.so*
%_libdir/kde3/libhtmlimport.so*
%_libdir/kde3/liblatexexport.so*
%_libdir/kde3/libmswriteimport.so*
%_libdir/kde3/libpalmdocimport.so*
%_libdir/kde3/libpalmdocexport.so*
%_libdir/kde3/librtfexport.so*
%_libdir/kde3/librtfimport.so*
%_libdir/kde3/libwmlimport.so*
%_libdir/kde3/libwmlexport.so*
%_libdir/kde3/libwpimport.so*
%_libdir/kde3/libwpexport.so*
%_libdir/kde3/libkprkword.so*
%_libdir/kde3/libolefilter.so*
%_libdir/kde3/libmsodimport.so*
%_libdir/kde3/libwmfimport.so*
%_libdir/kde3/libapplixgraphicimport.so*
%_libdir/kde3/libxsltexport.so*
%_libdir/kde3/libxsltimport.so*
%_libdir/kde3/libkfopngexport.so*
%_libdir/kde3/libkfolatexexport.so*
%_libdir/kde3/libkarbonepsexport.so*
%_libdir/kde3/libkarbonepsimport.so*
%_libdir/kde3/libkarbonaiimport.so*
%_libdir/kde3/libkarbonsvgexport.so*
%_libdir/kde3/kfile_koffice.so*
%_libdir/kde3/libkarbonpngexport.so*
%_libdir/kde3/libkontourrtfexport.so*
%_libdir/kde3/liblateximport.so*
%_libdir/kde3/liblatexparser.so*
%_libdir/kde3/libtexgraphexport.so*
%_libdir/kde3/libkarbonpart.so*
#
#

#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Office/
%_datadir/applnk/Office/kchart.desktop
%_datadir/applnk/Office/kformula.desktop
%_datadir/applnk/Office/kivio.desktop
%_datadir/applnk/Office/koshell.desktop
%_datadir/applnk/Office/kpresenter.desktop
%_datadir/applnk/Office/kspread.desktop
%_datadir/applnk/Office/kugar.desktop
%_datadir/applnk/Office/kword.desktop
%_datadir/applnk/Office/KThesaurus.desktop
%_datadir/applnk/Office/karbon.desktop
#%_datadir/applnk/Office/krita.desktop
%_datadir/applnk/Office/kudesigner.desktop

#
#
#
%dir %_datadir/apps/kchart/
%_datadir/apps/kchart/*.rc
#
%dir %_datadir/apps/kchart/icons/
%dir %_datadir/apps/kchart/icons/hicolor/
%dir %_datadir/apps/kchart/icons/hicolor/22x22/
%dir %_datadir/apps/kchart/icons/hicolor/22x22/actions/
%_datadir/apps/kchart/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kchart/icons/locolor/
%dir %_datadir/apps/kchart/icons/locolor/16x16/
%dir %_datadir/apps/kchart/icons/locolor/16x16/actions/
%_datadir/apps/kchart/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/kchart/pics/
%_datadir/apps/kchart/pics/*.png
#
#
%dir %_datadir/apps/kformula/
%_datadir/apps/kformula/*.rc
#
%_datadir/apps/kformula/*.font
%_datadir/apps/kformula/*.tbl
#
#
#
#
%dir %_datadir/apps/koffice/
%_datadir/apps/koffice/*.rc
%dir %_datadir/apps/koffice/autocorrect/
%_datadir/apps/koffice/autocorrect/*.xml
#
#
%dir %_datadir/apps/koffice/pics/
%_datadir/apps/koffice/pics/*.png
#
%dir %_datadir/apps/koffice/icons/
%dir %_datadir/apps/koffice/icons/hicolor/
%dir %_datadir/apps/koffice/icons/hicolor/16x16/
%dir %_datadir/apps/koffice/icons/hicolor/16x16/actions/
%_datadir/apps/koffice/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/16x16/apps/
%_datadir/apps/koffice/icons/hicolor/16x16/apps/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/22x22/
%dir %_datadir/apps/koffice/icons/hicolor/22x22/actions/
%_datadir/apps/koffice/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/22x22/actions/part/
%_datadir/apps/koffice/icons/hicolor/22x22/actions/part/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/32x32/
%dir %_datadir/apps/koffice/icons/hicolor/32x32/actions/
%_datadir/apps/koffice/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/32x32/apps/
%_datadir/apps/koffice/icons/hicolor/32x32/apps/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/48x48/
%dir %_datadir/apps/koffice/icons/hicolor/48x48/apps/
%_datadir/apps/koffice/icons/hicolor/48x48/apps/*.png
#
#
%dir %_datadir/apps/kpresenter/
%_datadir/apps/kpresenter/*.rc
#
%dir %_datadir/apps/kpresenter/autoforms/
%_datadir/apps/kpresenter/autoforms/.autoforms
#
%dir %_datadir/apps/kpresenter/autoforms/Arrows/
%_datadir/apps/kpresenter/autoforms/Arrows/.directory
%_datadir/apps/kpresenter/autoforms/Arrows/*.desktop
#
%dir %_datadir/apps/kpresenter/autoforms/Arrows/.icon/
%_datadir/apps/kpresenter/autoforms/Arrows/.icon/*.png
#
%dir %_datadir/apps/kpresenter/autoforms/Arrows/.source/
%_datadir/apps/kpresenter/autoforms/Arrows/.source/*.atf
#
%dir %_datadir/apps/kpresenter/autoforms/Connections/
%_datadir/apps/kpresenter/autoforms/Connections/.directory
%_datadir/apps/kpresenter/autoforms/Connections/*.desktop
#
%dir %_datadir/apps/kpresenter/autoforms/Connections/.icon/
%_datadir/apps/kpresenter/autoforms/Connections/.icon/*.png
#
%dir %_datadir/apps/kpresenter/autoforms/Connections/.source/
%_datadir/apps/kpresenter/autoforms/Connections/.source/*.atf
#
%dir %_datadir/apps/kpresenter/dtd/
%_datadir/apps/kpresenter/dtd/*.dtd
#
%dir %_datadir/apps/kpresenter/icons/
%dir %_datadir/apps/kpresenter/icons/hicolor/
%dir %_datadir/apps/kpresenter/icons/hicolor/22x22/
%dir %_datadir/apps/kpresenter/icons/hicolor/22x22/actions/
%_datadir/apps/kpresenter/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kpresenter/kpartplugins/
%_datadir/apps/kpresenter/kpartplugins/*.rc
#
%dir %_datadir/apps/kpresenter/pics/
%_datadir/apps/kpresenter/pics/*.png
#
%dir %_datadir/apps/kpresenter/slideshow/
%_datadir/apps/kpresenter/slideshow/*.bmp
%_datadir/apps/kpresenter/slideshow/*.jpeg
%_datadir/apps/kpresenter/slideshow/*.png
#
%dir %_datadir/apps/kpresenter/templates/
%dir %_datadir/apps/kpresenter/templates/A4/
%_datadir/apps/kpresenter/templates/A4/.directory
%_datadir/apps/kpresenter/templates/A4/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/A4/.source/
%_datadir/apps/kpresenter/templates/A4/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/Screen/
%_datadir/apps/kpresenter/templates/Screen/.directory
%_datadir/apps/kpresenter/templates/Screen/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/Screen/.source/
%_datadir/apps/kpresenter/templates/Screen/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/Screenpresentations/
%_datadir/apps/kpresenter/templates/Screenpresentations/.directory
%_datadir/apps/kpresenter/templates/Screenpresentations/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/Screenpresentations/.icon/
%_datadir/apps/kpresenter/templates/Screenpresentations/.icon/*.png
#
%dir %_datadir/apps/kpresenter/templates/Screenpresentations/.source/
%_datadir/apps/kpresenter/templates/Screenpresentations/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/legal/
%_datadir/apps/kpresenter/templates/legal/.directory
%_datadir/apps/kpresenter/templates/legal/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/legal/.source/
%_datadir/apps/kpresenter/templates/legal/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/letter/
%_datadir/apps/kpresenter/templates/letter/.directory
%_datadir/apps/kpresenter/templates/letter/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/letter/.source/
%_datadir/apps/kpresenter/templates/letter/.source/*.kpt
#
#
%dir %_datadir/apps/kspread/
%_datadir/apps/kspread/*.rc
#
%dir %_datadir/apps/kspread/dtd/
%_datadir/apps/kspread/dtd/*
#
%dir %_datadir/apps/kspread/extensions/
%_datadir/apps/kspread/extensions/*
#
%dir %_datadir/apps/kspread/icons/
%dir %_datadir/apps/kspread/icons/hicolor/
%dir %_datadir/apps/kspread/icons/hicolor/16x16/
%dir %_datadir/apps/kspread/icons/hicolor/16x16/actions/
%_datadir/apps/kspread/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kspread/icons/hicolor/22x22/
%dir %_datadir/apps/kspread/icons/hicolor/22x22/actions/
%_datadir/apps/kspread/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kspread/icons/hicolor/32x32/
%dir %_datadir/apps/kspread/icons/hicolor/32x32/actions/
%_datadir/apps/kspread/icons/hicolor/32x32/actions/*.png
%dir %_datadir/apps/kspread/kpartplugins/
%_datadir/apps/kspread/kpartplugins/*.rc
#
%dir %_datadir/apps/kspread/tablestyles/
%_datadir/apps/kspread/tablestyles/*
#
%dir %_datadir/apps/kspread/templates/
%dir %_datadir/apps/kspread/templates/General/
%_datadir/apps/kspread/templates/General/.directory
%_datadir/apps/kspread/templates/General/*.desktop
%dir %_datadir/apps/kspread/templates/General/.icon/
%_datadir/apps/kspread/templates/General/.icon/*.png
%dir %_datadir/apps/kspread/templates/General/.source/
%_datadir/apps/kspread/templates/General/.source/*.kst


#
%dir %_datadir/apps/kivio/
%_datadir/apps/kivio/*.rc
#
%dir %_datadir/apps/kivio/autoloadStencils/
%_datadir/apps/kivio/autoloadStencils/*

#
%dir %_datadir/apps/kivio/icons/
%dir %_datadir/apps/kivio/icons/hicolor/
%dir %_datadir/apps/kivio/icons/hicolor/16x16/
%dir %_datadir/apps/kivio/icons/hicolor/16x16/actions/
%_datadir/apps/kivio/icons/hicolor/16x16/actions/*.png
%_datadir/apps/kivio/icons/hicolor/16x16/actions/*.xpm
#
%dir %_datadir/apps/kivio/icons/hicolor/22x22/
%dir %_datadir/apps/kivio/icons/hicolor/22x22/actions/
%_datadir/apps/kivio/icons/hicolor/22x22/actions/*.png
%_datadir/apps/kivio/icons/hicolor/22x22/actions/*.xpm
#
%dir %_datadir/apps/kivio/icons/hicolor/32x32/
%dir %_datadir/apps/kivio/icons/hicolor/32x32/actions/
%_datadir/apps/kivio/icons/hicolor/32x32/actions/*.xpm
#
%dir %_datadir/apps/kivio/kpartplugins/
%_datadir/apps/kivio/kpartplugins/*.rc
#
%dir %_datadir/apps/kivio/pics/
%_datadir/apps/kivio/pics/*.png
%_datadir/apps/kivio/pics/*.xpm
#
%dir %_datadir/apps/kivio/stencils/
%dir %_datadir/apps/kivio/stencils/Flowcharting/
%_datadir/apps/kivio/stencils/Flowcharting/desc
%_datadir/apps/kivio/stencils/Flowcharting/*.xpm
#
%dir %_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/desc
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/*.sml
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/*.xpm
#

%dir %_datadir/apps/kivio/stencils/Flowcharting/Logic/
%_datadir/apps/kivio/stencils/Flowcharting/Logic/*.sml
%_datadir/apps/kivio/stencils/Flowcharting/Logic/*.xpm

#
%dir %_datadir/apps/kword/
%_datadir/apps/kword/*.rc
%_datadir/apps/kword/*.xml
#
%dir %_datadir/apps/kword/dtd/
%_datadir/apps/kword/dtd/*
#
%dir %_datadir/apps/kword/expression/
%_datadir/apps/kword/expression/*.xml

#
%dir %_datadir/apps/kword/icons/
%dir %_datadir/apps/kword/icons/hicolor/
%dir %_datadir/apps/kword/icons/hicolor/16x16/
%dir %_datadir/apps/kword/icons/hicolor/16x16/actions/
%_datadir/apps/kword/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kword/icons/hicolor/22x22/
%dir %_datadir/apps/kword/icons/hicolor/22x22/actions/
%_datadir/apps/kword/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kword/kpartplugins/
%_datadir/apps/kword/kpartplugins/*.rc
#
%dir %_datadir/apps/kword/templates/
%dir %_datadir/apps/kword/templates/Publishing/
%_datadir/apps/kword/templates/Publishing/.directory
%_datadir/apps/kword/templates/Publishing/*.desktop
#
%dir %_datadir/apps/kword/templates/Publishing/.icon/
%_datadir/apps/kword/templates/Publishing/.icon/*.png
#
%dir %_datadir/apps/kword/templates/Publishing/.source/
%_datadir/apps/kword/templates/Publishing/.source/*.kwt
#
%dir %_datadir/apps/kword/templates/Normal/
%_datadir/apps/kword/templates/Normal/.directory
%_datadir/apps/kword/templates/Normal/*.desktop
#
%dir %_datadir/apps/kword/templates/Normal/.icon/
%_datadir/apps/kword/templates/Normal/.icon/*.png
#
%dir %_datadir/apps/kword/templates/Normal/.source/
%_datadir/apps/kword/templates/Normal/.source/*.kwt
#
#
%dir %_datadir/apps/karbon/
%_datadir/apps/karbon/*.rc
%dir %_datadir/apps/karbon/icons/
%dir %_datadir/apps/karbon/icons/hicolor/
%dir %_datadir/apps/karbon/icons/hicolor/16x16/
%dir %_datadir/apps/karbon/icons/hicolor/16x16/actions/
%_datadir/apps/karbon/icons/hicolor/16x16/actions/*.png
%dir %_datadir/apps/karbon/icons/hicolor/16x16/apps/
%_datadir/apps/karbon/icons/hicolor/16x16/apps/*.png
%dir %_datadir/apps/karbon/icons/hicolor/22x22/
%dir %_datadir/apps/karbon/icons/hicolor/22x22/actions/
%_datadir/apps/karbon/icons/hicolor/22x22/actions/*.png
%dir %_datadir/apps/karbon/icons/hicolor/32x32/
%dir %_datadir/apps/karbon/icons/hicolor/32x32/apps/
%_datadir/apps/karbon/icons/hicolor/32x32/apps/*.png
%dir %_datadir/apps/karbon/icons/hicolor/48x48/
%dir %_datadir/apps/karbon/icons/hicolor/48x48/apps/
%_datadir/apps/karbon/icons/hicolor/48x48/apps/*.png
#
#%dir %_datadir/apps/krita
#%dir %_datadir/apps/krita/brushes/
#%_datadir/apps/krita/brushes/*.png
#%_datadir/apps/krita/brushes/*.brushinfo

#%dir %_datadir/apps/krita/dtd/
#%_datadir/apps/krita/dtd/*.dtd

#%dir %_datadir/apps/krita/images/
#%_datadir/apps/krita/images/*.jpg

#%dir %_datadir/apps/krita/kpartplugins/
#%_datadir/apps/krita/kpartplugins/*.rc

#%_datadir/apps/krita/*.rc

#%dir %_datadir/apps/krita/patterns/
#%_datadir/apps/krita/patterns/*.png

#%dir %_datadir/apps/krita/pics/
#%_datadir/apps/krita/pics/*.png


#%dir %_datadir/apps/kontour/
#%dir %_datadir/apps/kontour/kpartplugins/
#%_datadir/apps/kontour/kpartplugins/*.rc

%dir %_datadir/apps/krita/
%dir %_datadir/apps/krita/kpartplugins/
%_datadir/apps/krita/kpartplugins/*.rc


			   

#
%dir %_datadir/apps/kugar/
%_datadir/apps/kugar/*.rc
#

%dir %_datadir/apps/kugar/dtd/
%_datadir/apps/kugar/dtd/*.dtd
#
%dir %_datadir/apps/kugar/templates/
%_datadir/apps/kugar/templates/*.kut
%_datadir/apps/kugar/templates/*.kud
#
%dir %_datadir/apps/kudesigner/
%_datadir/apps/kudesigner/*.rc

%dir %_datadir/apps/kudesigner/icons/
%dir %_datadir/apps/kudesigner/icons/hicolor/
%dir %_datadir/apps/kudesigner/icons/hicolor/22x22/
%dir %_datadir/apps/kudesigner/icons/hicolor/22x22/actions/
%_datadir/apps/kudesigner/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/kudesigner/icons/locolor/
%dir %_datadir/apps/kudesigner/icons/locolor/22x22/
%dir %_datadir/apps/kudesigner/icons/locolor/22x22/actions/
%_datadir/apps/kudesigner/icons/locolor/22x22/actions/*.png



%dir %_datadir/apps/xsltfilter/
%dir %_datadir/apps/xsltfilter/export/
%dir %_datadir/apps/xsltfilter/export/kword/
%dir %_datadir/apps/xsltfilter/export/kword/xslfo/
%_datadir/apps/xsltfilter/export/kword/xslfo/*.xsl

%dir %_datadir/apps/thesaurus/
%_datadir/apps/thesaurus/*.txt
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/actions/
%_iconsdir/hicolor/16x16/actions/*.png
#
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/16x16/mimetypes/
%_iconsdir/hicolor/16x16/mimetypes/*.png
#
%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/actions/
%_iconsdir/hicolor/22x22/actions/*.png
#
%dir %_iconsdir/hicolor/22x22/apps/
%_iconsdir/hicolor/22x22/apps/*.png
#
%dir %_iconsdir/hicolor/22x22/mimetypes/
%_iconsdir/hicolor/22x22/mimetypes/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/actions/
%_iconsdir/hicolor/32x32/actions/*.png
#
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/mimetypes/
%_iconsdir/hicolor/32x32/mimetypes/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/mimetypes/
%_iconsdir/hicolor/48x48/mimetypes/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
%dir %_iconsdir/locolor/16x16/mimetypes/
%_iconsdir/locolor/16x16/mimetypes/*.png

#
%dir %_iconsdir/locolor/22x22/
%dir %_iconsdir/locolor/22x22/apps/
%_iconsdir/locolor/22x22/apps/*.png
%dir %_iconsdir/locolor/22x22/mimetypes/
%_iconsdir/locolor/22x22/mimetypes/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
%dir %_iconsdir/locolor/32x32/mimetypes/
%_iconsdir/locolor/32x32/mimetypes/*.png
#
#

# Laurent 1.1.1-3mdk in kde3.0 this mimelnk was moved to kdelibs


%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
#%dir %_datadir/mimelnk/image/
#%_datadir/mimelnk/image/*.desktop
#
#%dir %_datadir/mimelnk/text/
#%_datadir/mimelnk/text/*.desktop
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop
#
#
%dir %_datadir/servicetypes/
%_datadir/servicetypes/*.desktop
#
#
%dir %_datadir/templates/
%_datadir/templates/Illustration.desktop  
%_datadir/templates/SpreadSheet.desktop
%_datadir/templates/Presentation.desktop  
%_datadir/templates/TextDocument.desktop
#
%dir %_datadir/templates/.source/
%_datadir/templates/.source/Illustration.kil  
%_datadir/templates/.source/Presentation.kpt  
%_datadir/templates/.source/SpreadSheet.ksp  
%_datadir/templates/.source/TextDocument.kwt



%files devel
%defattr(-,root,root)
%_includedir/*

%changelog
* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-11mdk
- Make it lib64-aware
- Update code to 1.2-branch (2002/11/22)
- Fix buildrequires ( Laurent )

* Wed Nov 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-10mdk
- Fix menu

* Mon Nov 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-9mdk
- Update code 

* Sun Oct 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-8mdk
- Add patch3 : fix bad commit, now Enter key works

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-7mdk
- Update code from KOFFICE_1_2_BRANCH 

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-5mdk
- Fix menu entry

* Sat Oct 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-5mdk
- Rebuild

* Mon Oct 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-4mdk
- Update code from koffice_1_2_branch

* Fri Sep 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-3mdk
- Remove debug
- Add patch2 : fix kivio draw connector

* Tue Sep 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Update code from koffice_1_2_branch fix crash in koshell
Fix mem leak in filter
Fix macro in kspread
Fix copy/paste in kpresenter.

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- Final

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.8mdk
- Update code from CVS : fix kspread/kpresenter/kivio bugs

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.7mdk
- Update code from CVS : fix kpresenter/karbon bugs

* Sat Aug 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.6mdk
- Update code from CVS : Fix mem leak, fix bidi

* Fri Aug 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.5mdk
- Update code from CVS

* Thu Aug 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.4mdk
- Fix url

* Wed Aug 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.3mdk
- Add kugar menu entry

* Tue Aug 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.2mdk
- Update code from CVS

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.1mdk
- Update code from cvs

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.5mdk
- Add requires kdelibs >= 3.0.2

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.4mdk
- Rebuild against gcc-3.2

* Tue Aug 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.3mdk
- Update code from CVS.

* Tue Aug 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.2mdk
- Remove kontour template. Kontour is completly broken.

* Tue Jul 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.rc1.1mdk
- RC1

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.7mdk
- Rebuild against gcc-3.2

* Mon Jul 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.6mdk
- Rebuild

* Sat Jun 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.5mdk
- Add patch2-3-4-5-6-7-8-9-10-11-12-13 some critical fix for kword/kpresenter

* Wed Jun 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.4mdk
- Fix crash in kivio

* Wed Jun 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.3mdk
- Update code source

* Sun Jun 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta2.1mdk
- beta2

* Sun Jun 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.5mdk
- Patch3: fix compile

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.5mdk
- Rebuild with new kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.4mdk
- Rebuild against gcc3.1
- Add patch2 fix compile with gcc3.1

* Tue Apr 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.3mdk
- Add patch1 : fix big bug in kword

* Tue Apr 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.2mdk
- Add patch0 : fix big bug in kword

* Thu Apr 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-0.beta1.1mdk
- koffice-1.2beta1

* Mon Apr 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-9mdk
- Requires kdegraphics3 and not kdegraphics

* Sat Apr 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-8mdk
- Add patch4 : fix mem leak in kspread

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-7mdk
- fix update menu

* Fri Mar 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-6mdk
- Fix bug in kword

* Fri Mar 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-5mdk
- Fix compile on 8.3

* Fri Mar 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-4mdk
- Fix compile on 8.1

* Fri Mar 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-3mdk
- Fix conflict with kdelibs3

* Fri Mar 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-2mdk
- Fix spec file

* Wed Mar 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- koffice1.1.1 for kde3.0

